Latest News

Latest News


PostsStarted byRepliesLast post
Reminder - Remote Exams 0 Rich Goodman
Coronavirus information for staff and students 0 Rich Goodman
Universities of the Future: What do they look like? 0 Rich Goodman
Find out what's happening this week at Loughborough... 0 Rich Goodman
Spring Careers Fair - Tuesday 25th February 2020 0 Rich Goodman
Have your say with the National Student Survey (NSS) 0 Rich Goodman
Venue Change - U005 - Personal Best : My Story - Christine Hodgson - 12th February, 3:00pm 0 Rich Goodman
Students: You’ve got this! 0 Rich Goodman
Need help looking for a PC on campus? 0 Rich Goodman
IT Security Top Tip #7 - Don't leave a trail from your cookies 0 M Staples
IT Security Top Tip #6 - In case of disaster, recover faster 0 M Staples
Talk Sport 0 M Staples
Personal Best : My Story - Emma Hatton - 28th November, 6:30pm 0 Rich Goodman
IT Security Top Tip #5 - keep your devices secure with regular updates 0 Rich Goodman
Spillage 0 M Staples
Student statements - important information, please read 0 Rich Goodman
IT Security Top Tip #4 - secure your devices 0 Rich Goodman
Science Placements and Careers Fair - Wednesday 13th November 2019 0 Rich Goodman
Online guide created to help students submit coursework assignments 0 Rich Goodman
Student statements - important information, please read 0 Rich Goodman
Personal Best : My Story - Richard Joseph - 12th November, 6:30pm 0 Rich Goodman
IT Security Top Tip #3 - Password Security 0 Rich Goodman
Understanding your tuition and accommodation fees 0 Rich Goodman
IT Security Top Tip #2 - Social Media 0 Rich Goodman
Your timetable 0 Rich Goodman
Personal Best presentation - Wednesday 16th October at 6:30pm 0 Rich Goodman
IT Security Top Tip #1 - Phishing 0 Gregory Milsted
IT Services - Guide to staying safe online 0 Rich Goodman
Autumn Graduate and Placement Fair 2019 0 Rich Goodman
Student statements - important information, please read 0 Rich Goodman
Lynda.com upgrade to LinkedIn Learning - Monday 29th July 0 Rich Goodman
Finance Office closed - Thursday 25th July 2019 0 Rich Goodman
MLSC support during SAP 0 Rich Goodman
Learn rollover complete 0 Gregory Milsted
Student statements - important information, please read 0 Rich Goodman
Learn rollover - 22nd and 23rd July 2019 0 Rich Goodman
Using a Computer Lab over the Summer? 0 Rich Goodman
Important changes to student data storage - summer 2019 0 Rich Goodman
ReVIEW unavailable - Saturday 22nd June 10pm until Sunday 23rd June 1am 0 Rich Goodman
Finalists - please save your documents 0 Gregory Milsted
Looking for a PC on campus during exam time? 0 Rich Goodman
Student fees 0 Rich Goodman
Postgraduate Taught Education Survey (PTES) 0 Rich Goodman
Module Feedback - deadline extended to Monday 27th May 0 Rich Goodman
Student System Maintenance on 23rd April 0 M Staples
Summer Careers Fair - Wednesday 8th May 2019 0 Rich Goodman
IT Services needs your opinions on our IT Labs 0 Rich Goodman
National Student Survey 2019 0 Rich Goodman
SBE Masters Open Day Wed 8th May 2019 0 Gregory Milsted
Student statements - important information, please read 0 Rich Goodman
Spring Graduate and Placement Fair - Tuesday 26th February 2019 0 Rich Goodman
Student System Maintenance on 6th February 0 Z Ivanova
Student statements - important information, please read 0 Rich Goodman
Investing in You 0 Rich Goodman
Support available during the exam period 0 Rich Goodman
Study space on campus 0 Rich Goodman
Looking for a PC on campus? 0 Gregory Milsted
Module Feedback 0 Rich Goodman
ReVIEW unavailable - Saturday 15th December 9pm until 11:59pm 0 Rich Goodman
Personal Best lecture - Friday 2nd November, 6:30pm 0 Rich Goodman
Student statements - important information, please read 0 Rich Goodman
Scam emails supposedly from HMRC 0 Gregory Milsted
Autumn Graduate and Placement Fair 2018 0 Rich Goodman
MyLboro App issues resolved 0 Rich Goodman
ReVIEW unavailable - Saturday 28th July 11pm until Sunday 29th July 2am 0 Rich Goodman
Learn rollover complete 0 Rich Goodman
Learn rollover 23rd and 24th July 2018 0 Rich Goodman
Phishing e-mail alert - Student Grant Information 0 Rich Goodman
Final year students graduating or leaving this summer 0 Gregory Milsted
All IT Services Unavailable on 11th July 2018, 3pm – Midnight 0 Gregory Milsted
Student statements - important information, please read 0 Rich Goodman
Postgraduate Taught Education Survey (PTES) 0 Rich Goodman
ReVIEW unavailable - Saturday 9th June - 8pm - 11pm 0 Rich Goodman
Student statements - important information, please read 0 Rich Goodman
Free Library workshop 0 Rich Goodman
Reminder: Upgrade to the VPN for Off-Campus Access 0 Rich Goodman
Summer Careers Fair 2018 0 Rich Goodman
Phishing e-mail alert 0 Rich Goodman
Have you met Lynda? 0 Rich Goodman
Supercharge your career - Masters Open Day 0 Gregory Milsted
Upgrade to the VPN for Off-Campus Access 0 Gregory Milsted
Phishing via Spam Emails 0 Gregory Milsted
Are you ready for digital for attendance recording? 0 Rich Goodman
Student attendance monitoring - are you ready to go digital? 0 Rich Goodman
Spring Graduate Recruitment and Placement Fair - Tuesday February 27th 0 Rich Goodman
Have you met Lynda yet? 0 Rich Goodman
Phishing E-mails 0 Rich Goodman
Is a streaming device on your Christmas wish list? 0 Rich Goodman
Important improvements to the process for academic attendance monitoring 0 Rich Goodman
Student System Maintenance on 28th November 0 Rich Goodman
Last chance to save your RefWorks references 0 Rich Goodman
Five top tips to make full use of key services 0 Rich Goodman
Autumn Graduate and Placement Fair 0 Rich Goodman
Please be aware of phishing scam emails targeting students 0 Rich Goodman
Loughborough bursary for unpaid placements (LBUP) 0 Rich Goodman
Learn rollover complete 0 Rich Goodman
Graduating this year? 0 Rich Goodman
Learn rollover 24th & 25th July 2017 0 Rich Goodman
Postgraduate Taught students - take 10 minutes to tell us about your Loughborough Experience 0 Rich Goodman
Student statements - important information, please read 0 Rich Goodman